aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration/experimental_ui_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/shell/integration/experimental_ui_test.sh')
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index 3b203a2d71..d73778de6a 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -226,10 +226,11 @@ function test_query_spacing() {
# other tools, i.e., contains only result lines, separated only by newlines.
BAZEL_QUERY_OUTPUT=`bazel query --experimental_ui 'deps(//pkg:true)'`
echo "$BAZEL_QUERY_OUTPUT" | grep -q -v '^[@/]' \
- && fail "bazel query output is >$BAZEL_QUERY_OUTPUT<"
- echo "$BAZEL_QUERY_OUTPUT" | grep -q $'\r' \
- && fail "bazel query output is >$BAZEL_QUERY_OUTPUT<"
- true
+ && fail "bazel query output is >$BAZEL_QUERY_OUTPUT<" || true
+ if ! is_windows; then
+ echo "$BAZEL_QUERY_OUTPUT" | grep -q $'\r' \
+ && fail "bazel query output is >$BAZEL_QUERY_OUTPUT<" || true
+ fi
}
function test_clean_nobuild {